/*  FocusStack - keeps track of focus state and nesting (for View's lockFocus)

    Copyright (C) 1995, Adam Fedor
    
   This file is part of an Objective-C class library for a window system

    FocusStack.h,v 1.1 1995/04/17 22:44:46 fedor Exp
*/

#import "appkit/View.h"
#import <objc/List.h>

@interface FocusStack : List

- lockView: (View *)view;
- relockView: (View *)view;
- (View *) unlockView;
- (View *) currentView;

@end