/* Compatibility file for X windows
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Fred Harris, Paul Kunz, Tom Pavel, 
 *	    Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for X/Motif
 *
 * Motif.h,v 1.6 1995/06/26 23:02:28 fedor Exp
 */


#ifndef _Motif_h_
#define _Motif_h_

#define Object X11Object	/* To avoid problems with Objective C */
#define Window X11Window
#define String X11String
#include <Xm/Xm.h>
#undef Object
#undef Window
#undef String

#include "dpsclient/xwfriends.h"

#define XMotifContext_t	XWContext_t
#define XMotifContext	XWContext

#endif /* _Motif_h_ */
