/*
    NXImage - class to load an manipulate images

    Copyright (C) 1993, Adam Fedor. 

    xtNXImage.m,v 1.4 1994/09/20 17:33:20 fedor Exp
    
    Implementation of display specific methods for X-Windows.
*/

#include "dpsclient/xwfriends.h"
#include <string.h>
#include "NXImage.h"
#include "Application.h"

const char *NXImageInstanceName(void)
{
    return "NXImage";
}

@implementation NXImage(ToolKit)

- _displayComposite:(int)op fromRect:(const NXRect *)rect 
	toPoint:(const NXPoint *)point
{
    NXRect newrect;
    newrect = *rect;
    NX_WIDTH(&newrect) += point->x;
    NX_HEIGHT(&newrect) += point->y;
    return ([self drawRepresentation:[self bestRepresentation]
                  inRect:&newrect])
		? self : nil;
}

@end
