/* Implemenation file for PostScript operators for Xlib
 *
 * Copyright (C)  1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Author:	Paul Kunz, SLAC
 *
 * This file is part of an Objective-C class library for a window system
 *
 * xtpsops.m,v 1.1 1995/04/12 00:04:10 pfkeb Exp
 */

#include "dpsclient/psops.h"

#include "appkit/Application.h"
#include "dpsclient/XtGState.h"

void
PSsetgray(float gray)
{
    XWContext context = (XWContext)[NXApp context];
    float	value;
 
    value = gray;  // this prevents compiler bug on HP/UX
    [(XtGState *)context->gstate setGray:value];
    return;    
}
