/*
    xwfriends - Definitions for X-Windows specific implementation of OpenStep

    Copyright (C) 1994, 1995 Adam Fedor

    We declare alot of the data as void* to avoid having to import alot
    of definitions files.

*/

#ifndef _GNUSTEP_DPSCLIENT_XWFRIENDS_H
#define _GNUSTEP_DPSCLIENT_XWFRIENDS_H

#define Object X11Object        /* To avoid problems with Objective C */
#define Window X11Window
#define String X11String
#include <X11/Intrinsic.h>
#undef Object
#undef Window
#undef String

#include <dpsclient/event.h>

typedef struct _XWContext_t {
    Display	*display;
    XVisualInfo	vinfo;
    XStandardColormap	*map;
    void	*gstack;
    void        *gstate;
} XWContext_t, *XWContext;

#endif
