/*  Archiving Category for Object
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmPopUpList.m,v 1.11 1995/05/16 00:50:08 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include "objc/typedstream.h"
#include <appkit/PopUpList.h>
#include <appkit/Matrix.h>

@interface PopUpList (XmArchiving)
- write:(TypedStream *)ts;
@end

@implementation PopUpList (XmArchiving)

- write:(TypedStream *)stream
{
    [super write:stream];
#ifdef DEBUG
    printf("->PopUpList");
#endif
    return self;
}

@end