/*  Archiving Category for Object
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Paul Kunz and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmResponder.m,v 1.8 1995/01/03 21:27:29 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include <objc/typedstream.h>
#include <appkit/Responder.h>

@interface Responder (XmArchiving)
- write:(TypedStream *)stream;
@end

#ifdef DEBUG
#include <stdio.h>
#endif

@implementation Responder (XmArchiving)
- write:(TypedStream *)stream
{	
	[super write:stream];

#ifdef DEBUG
    printf("->Responder");
#endif
	return self;
}
@end
