/*  Archiving Category for Slider
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmSlider.m,v 1.11 1995/05/16 00:50:14 pfkeb Exp

*/


#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include "objc/typedstream.h"

#include "XmView.h"
#include <appkit/Slider.h>


@interface Slider (XmArchiving)
- write:(TypedStream *)stream;
@end

#ifdef DEBUG
#include <stdio.h>
#endif

@implementation Slider (XmArchiving)

- write:(TypedStream *)stream
{
    [super write:stream];
    
#ifdef DEBUG
    printf("\n->Slider");
#endif

    return self;
}
@end
