/* Interface for CustomView class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Paul Kunz and Imran Qureshi
 *
 * This file is part of an Objective-C class library for a window system
 *
 * CustomView.h,v 1.8 1995/06/13 21:49:49 briggs Exp
 */


#include "View.h"

 
 /*----------------------------------*/
/* This are interfaces for NeXT Custom Objects */
@interface CustomView:View
{
  char	*realClassName;
  id    realObject;
  id    extension;

   BOOL   amAwake;
}
- initFrame:(const NXRect*)frameRect;
- write:(TypedStream *) stream;
- read:(TypedStream *) stream;
- awake;
- awakeFromNib;
- nibInstantiate;

@end


