/*
    NXCachedImageRep.h

    Copyright (c) 1994, 1995, Adam Fedor
*/

#ifndef _GNUSTEP_NXCACHEDIMAGEREP_H_
#define _GNUSTEP_NXCACHEDIMAGEREP_H_

#include "NXImageRep.h"

@class Window;

@interface NXCachedImageRep : NXImageRep
{
    NXRect              _rect;
    int                 _reservedInt1;
    Window	       *_window;
    void	       *_cache;
    int			_reservedInt2;
}

- initFromWindow:(Window *)win rect:(const NXRect *)rect;

- getWindow:(Window **)win andRect:(NXRect *)rect;
- (BOOL)draw;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- free;

@end

#endif
