/* Implemenation file for PostScript convienence operators for Xlib
 *
 * Copyright (C)  1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Author:	Paul Kunz, SLAC
 *
 * This file is part of an Objective-C class library for a window system
 *
 * xtgraphics.m,v 1.1 1995/04/12 00:04:09 pfkeb Exp
 */

#include "appkit/graphics.h"

#include "appkit/Application.h"
#include "dpsclient/XtGState.h"

void
NXRectFill(const NXRect *aRect)
{
    XWContext context = (XWContext)[NXApp context];
 
    [(XtGState *)context->gstate rectFill:aRect];
    return;    
}