/*  Archiving Category for ActionCell
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz, Imran Qureshi, Libing Wang (SLAC)
	 Mike L. Kienenberger (Alaska)

This file is part of the nib translator for 
an Objective-C class library for X/Motif

XmActionCell.m,v 1.12 1995/01/03 21:26:49 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include <appkit/ActionCell.h>

@interface ActionCell (XmArchiving)
- write:(TypedStream *)stream;
@end

@implementation ActionCell (XmArchiving)
- write:(TypedStream *)stream
{
    [super write:stream];

#ifdef DEBUG
    printf("->ActionCell");
#endif
    objc_write_type(stream, "i", &tag );
    return self;
}
@end
