/*  Archiving Category for Object
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmClipView.m,v 1.6 1995/05/16 00:49:53 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include "objc/typedstream.h"
#include <appkit/ClipView.h>
#include "archive-def.h"
@implementation ClipView (XmArchiving)

- write:(TypedStream *)stream
{
    [super write:stream];
#ifdef DEBUG
    printf("->ClipView");
#endif
    objc_write_rect(stream, &_docRect);
    return self;
}
@end
