/*  Archiving Category for Control
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmControl.m,v 1.13 1995/01/03 21:27:03 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include <objc/typedstream.h>
#include <appkit/Control.h>
#ifdef DEBUG
#include <stdio.h>
#endif

@implementation Control (XmArchiving)

- write:(TypedStream *)stream
{
    [super write:stream];

#ifdef DEBUG
    if ( [subviews count] ) {
	printf("\n->Control");
    } else {
	printf("->Control");
    }
#endif

    objc_write_object(stream, cell);
    return self;
}
@end
