/*  Archiving Category for Form
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Paul Kunz, Imran Qureshi and Libing Wang

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmForm.m,v 1.6 1995/01/03 21:27:14 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include <objc/typedstream.h>
#include <appkit/Form.h>

@interface Form (XmArchiving)
- write:(TypedStream *)stream;
@end


@implementation Form (XmArchiving)
- write:(TypedStream *)stream
{
#ifdef DEBUG
    printf("\n->Form");
#endif

	[super write:stream];
	
	return self;
}
@end
